import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    Query query = em.createNativeQuery(
        "SELECT emp.emp_id AS emp_id, name, manager_id, dept_id, address_id, " +
        "address.id, street, city, state, zip " +
        "FROM emp, address " +
        "WHERE address_id = id",
        "EmployeeWithAddressColumnAlias");
    
    List list = query.getResultList();

    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}